operator-=
Prev | Chapter 20. Db_reverse_iterator | Next

## operator-=

### Function Details

    const self& operator-=(difference_type n)

Iterator shuffle operator.

Move this iterator backward by n elements and then return it.

#### Parameters

##### n

The amount and direction of movement. If negative, will move towards reverse direction.

#### Return Value

This iterator at new position.

### Group: Operators for random reverse iterators

Move this iterator backward or forward by n elements and then return it.

### Class

db_reverse_iterator

Prev | Up | Next
operator+= | Home | operator<